# Computer Vision Utilities # 

This package (`utils_cv`) contains functions to simplify common tasks
used when developing and evaluating computer vision systems.  A short
description of the sub-modules is provided below. For more details
about what functions are available and how to use them, please review
the doc-strings provided with the code.


## Sub-Modules

### [common](common)

This sub-module contains high-level utilities for defining constants
used in most algorithms as well as helper functions used by other
modules.

### [classification](classification)

This sub-module contains helper functions for image classification.

### [similarity](./similarity)

This sub-module includes helper functions for image similarity.

### [detection](./detection)

This sub-module includes helper functions for object detection.
